#  tests for perl-font-ttf-1.06-pl526_0 (this is a generated file);
print('===== testing package: perl-font-ttf-1.06-pl526_0 =====');
print('running run_test.pl');
#  --- run_test.pl (begin) ---
#!/usr/bin/env perl

my @items = (
    ["Font::TTF::Cvt_", "0.0001"],
    ["Font::TTF::Font", "0.39"],
    ["Font::TTF::Fpgm", "0.0001"],
    ["Font::TTF::Name", "1.1"],
    ["Font::TTF::Post", "0.01"],
    ["Font::TTF::Prep", "0.0001"],
    ["Font::TTF::Segarr", "0.0001"],
    ["Font::TTF::Table", "0.0001"],
    ["Font::TTF::Ttc", "0.0001"],
    ["Font::TTF::Utils", "0.0001"],
);

foreach $item (@items) {
    my ($module, $expected_version) = @$item;
    print "Checking '$module' version: ";
    my $actual_version = eval "use $module; $module->VERSION";
    if($@) { die $@; }
    if(defined $actual_version) {
        print $actual_version;
        if($actual_version == $expected_version) {
            print " (PASSED)\n";
        }
        else {
            print " (FAILED)\n";
            die("$module: Expected version '$expected_version', " .
                "but found '$actual_version'.")
        }
    }
    elsif(defined $expected_version) {
        print "<not available> (FAILED)\n";
        die("$module: Expected version '$expected_version', " .
            "but found none");
    }
    else {
        print "<not available> (PASSED)\n";
    }
}
#  --- run_test.pl (end) ---

print('===== perl-font-ttf-1.06-pl526_0 OK =====');
my $expected_version = "1.06";
print("import: Font::TTF\n");
use Font::TTF;

if (defined Font::TTF->VERSION) {
	my $given_version = Font::TTF->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF->VERSION . '
');

}
print("import: Font::TTF::AATKern\n");
use Font::TTF::AATKern;

if (defined Font::TTF::AATKern->VERSION) {
	my $given_version = Font::TTF::AATKern->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::AATKern->VERSION . '
');

}
print("import: Font::TTF::AATutils\n");
use Font::TTF::AATutils;

if (defined Font::TTF::AATutils->VERSION) {
	my $given_version = Font::TTF::AATutils->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::AATutils->VERSION . '
');

}
print("import: Font::TTF::Anchor\n");
use Font::TTF::Anchor;

if (defined Font::TTF::Anchor->VERSION) {
	my $given_version = Font::TTF::Anchor->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Anchor->VERSION . '
');

}
print("import: Font::TTF::Bsln\n");
use Font::TTF::Bsln;

if (defined Font::TTF::Bsln->VERSION) {
	my $given_version = Font::TTF::Bsln->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Bsln->VERSION . '
');

}
print("import: Font::TTF::Cmap\n");
use Font::TTF::Cmap;

if (defined Font::TTF::Cmap->VERSION) {
	my $given_version = Font::TTF::Cmap->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Cmap->VERSION . '
');

}
print("import: Font::TTF::Coverage\n");
use Font::TTF::Coverage;

if (defined Font::TTF::Coverage->VERSION) {
	my $given_version = Font::TTF::Coverage->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Coverage->VERSION . '
');

}
print("import: Font::TTF::DSIG\n");
use Font::TTF::DSIG;

if (defined Font::TTF::DSIG->VERSION) {
	my $given_version = Font::TTF::DSIG->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::DSIG->VERSION . '
');

}
print("import: Font::TTF::Delta\n");
use Font::TTF::Delta;

if (defined Font::TTF::Delta->VERSION) {
	my $given_version = Font::TTF::Delta->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Delta->VERSION . '
');

}
print("import: Font::TTF::Dumper\n");
use Font::TTF::Dumper;

if (defined Font::TTF::Dumper->VERSION) {
	my $given_version = Font::TTF::Dumper->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Dumper->VERSION . '
');

}
print("import: Font::TTF::EBDT\n");
use Font::TTF::EBDT;

if (defined Font::TTF::EBDT->VERSION) {
	my $given_version = Font::TTF::EBDT->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::EBDT->VERSION . '
');

}
print("import: Font::TTF::EBLC\n");
use Font::TTF::EBLC;

if (defined Font::TTF::EBLC->VERSION) {
	my $given_version = Font::TTF::EBLC->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::EBLC->VERSION . '
');

}
print("import: Font::TTF::Fdsc\n");
use Font::TTF::Fdsc;

if (defined Font::TTF::Fdsc->VERSION) {
	my $given_version = Font::TTF::Fdsc->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Fdsc->VERSION . '
');

}
print("import: Font::TTF::Feat\n");
use Font::TTF::Feat;

if (defined Font::TTF::Feat->VERSION) {
	my $given_version = Font::TTF::Feat->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Feat->VERSION . '
');

}
print("import: Font::TTF::Features::Cvar\n");
use Font::TTF::Features::Cvar;

if (defined Font::TTF::Features::Cvar->VERSION) {
	my $given_version = Font::TTF::Features::Cvar->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Features::Cvar->VERSION . '
');

}
print("import: Font::TTF::Features::Size\n");
use Font::TTF::Features::Size;

if (defined Font::TTF::Features::Size->VERSION) {
	my $given_version = Font::TTF::Features::Size->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Features::Size->VERSION . '
');

}
print("import: Font::TTF::Features::Sset\n");
use Font::TTF::Features::Sset;

if (defined Font::TTF::Features::Sset->VERSION) {
	my $given_version = Font::TTF::Features::Sset->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Features::Sset->VERSION . '
');

}
print("import: Font::TTF::Fmtx\n");
use Font::TTF::Fmtx;

if (defined Font::TTF::Fmtx->VERSION) {
	my $given_version = Font::TTF::Fmtx->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Fmtx->VERSION . '
');

}
print("import: Font::TTF::GDEF\n");
use Font::TTF::GDEF;

if (defined Font::TTF::GDEF->VERSION) {
	my $given_version = Font::TTF::GDEF->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::GDEF->VERSION . '
');

}
print("import: Font::TTF::GPOS\n");
use Font::TTF::GPOS;

if (defined Font::TTF::GPOS->VERSION) {
	my $given_version = Font::TTF::GPOS->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::GPOS->VERSION . '
');

}
print("import: Font::TTF::GSUB\n");
use Font::TTF::GSUB;

if (defined Font::TTF::GSUB->VERSION) {
	my $given_version = Font::TTF::GSUB->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::GSUB->VERSION . '
');

}
print("import: Font::TTF::Glat\n");
use Font::TTF::Glat;

if (defined Font::TTF::Glat->VERSION) {
	my $given_version = Font::TTF::Glat->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Glat->VERSION . '
');

}
print("import: Font::TTF::Gloc\n");
use Font::TTF::Gloc;

if (defined Font::TTF::Gloc->VERSION) {
	my $given_version = Font::TTF::Gloc->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Gloc->VERSION . '
');

}
print("import: Font::TTF::Glyf\n");
use Font::TTF::Glyf;

if (defined Font::TTF::Glyf->VERSION) {
	my $given_version = Font::TTF::Glyf->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Glyf->VERSION . '
');

}
print("import: Font::TTF::Glyph\n");
use Font::TTF::Glyph;

if (defined Font::TTF::Glyph->VERSION) {
	my $given_version = Font::TTF::Glyph->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Glyph->VERSION . '
');

}
print("import: Font::TTF::GrFeat\n");
use Font::TTF::GrFeat;

if (defined Font::TTF::GrFeat->VERSION) {
	my $given_version = Font::TTF::GrFeat->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::GrFeat->VERSION . '
');

}
print("import: Font::TTF::Hdmx\n");
use Font::TTF::Hdmx;

if (defined Font::TTF::Hdmx->VERSION) {
	my $given_version = Font::TTF::Hdmx->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Hdmx->VERSION . '
');

}
print("import: Font::TTF::Head\n");
use Font::TTF::Head;

if (defined Font::TTF::Head->VERSION) {
	my $given_version = Font::TTF::Head->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Head->VERSION . '
');

}
print("import: Font::TTF::Hhea\n");
use Font::TTF::Hhea;

if (defined Font::TTF::Hhea->VERSION) {
	my $given_version = Font::TTF::Hhea->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Hhea->VERSION . '
');

}
print("import: Font::TTF::Hmtx\n");
use Font::TTF::Hmtx;

if (defined Font::TTF::Hmtx->VERSION) {
	my $given_version = Font::TTF::Hmtx->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Hmtx->VERSION . '
');

}
print("import: Font::TTF::Kern\n");
use Font::TTF::Kern;

if (defined Font::TTF::Kern->VERSION) {
	my $given_version = Font::TTF::Kern->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Kern->VERSION . '
');

}
print("import: Font::TTF::Kern::ClassArray\n");
use Font::TTF::Kern::ClassArray;

if (defined Font::TTF::Kern::ClassArray->VERSION) {
	my $given_version = Font::TTF::Kern::ClassArray->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Kern::ClassArray->VERSION . '
');

}
print("import: Font::TTF::Kern::CompactClassArray\n");
use Font::TTF::Kern::CompactClassArray;

if (defined Font::TTF::Kern::CompactClassArray->VERSION) {
	my $given_version = Font::TTF::Kern::CompactClassArray->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Kern::CompactClassArray->VERSION . '
');

}
print("import: Font::TTF::Kern::OrderedList\n");
use Font::TTF::Kern::OrderedList;

if (defined Font::TTF::Kern::OrderedList->VERSION) {
	my $given_version = Font::TTF::Kern::OrderedList->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Kern::OrderedList->VERSION . '
');

}
print("import: Font::TTF::Kern::StateTable\n");
use Font::TTF::Kern::StateTable;

if (defined Font::TTF::Kern::StateTable->VERSION) {
	my $given_version = Font::TTF::Kern::StateTable->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Kern::StateTable->VERSION . '
');

}
print("import: Font::TTF::Kern::Subtable\n");
use Font::TTF::Kern::Subtable;

if (defined Font::TTF::Kern::Subtable->VERSION) {
	my $given_version = Font::TTF::Kern::Subtable->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Kern::Subtable->VERSION . '
');

}
print("import: Font::TTF::LTSH\n");
use Font::TTF::LTSH;

if (defined Font::TTF::LTSH->VERSION) {
	my $given_version = Font::TTF::LTSH->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::LTSH->VERSION . '
');

}
print("import: Font::TTF::Loca\n");
use Font::TTF::Loca;

if (defined Font::TTF::Loca->VERSION) {
	my $given_version = Font::TTF::Loca->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Loca->VERSION . '
');

}
print("import: Font::TTF::Maxp\n");
use Font::TTF::Maxp;

if (defined Font::TTF::Maxp->VERSION) {
	my $given_version = Font::TTF::Maxp->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Maxp->VERSION . '
');

}
print("import: Font::TTF::Mort\n");
use Font::TTF::Mort;

if (defined Font::TTF::Mort->VERSION) {
	my $given_version = Font::TTF::Mort->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Mort->VERSION . '
');

}
print("import: Font::TTF::Mort::Chain\n");
use Font::TTF::Mort::Chain;

if (defined Font::TTF::Mort::Chain->VERSION) {
	my $given_version = Font::TTF::Mort::Chain->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Mort::Chain->VERSION . '
');

}
print("import: Font::TTF::Mort::Contextual\n");
use Font::TTF::Mort::Contextual;

if (defined Font::TTF::Mort::Contextual->VERSION) {
	my $given_version = Font::TTF::Mort::Contextual->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Mort::Contextual->VERSION . '
');

}
print("import: Font::TTF::Mort::Insertion\n");
use Font::TTF::Mort::Insertion;

if (defined Font::TTF::Mort::Insertion->VERSION) {
	my $given_version = Font::TTF::Mort::Insertion->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Mort::Insertion->VERSION . '
');

}
print("import: Font::TTF::Mort::Ligature\n");
use Font::TTF::Mort::Ligature;

if (defined Font::TTF::Mort::Ligature->VERSION) {
	my $given_version = Font::TTF::Mort::Ligature->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Mort::Ligature->VERSION . '
');

}
print("import: Font::TTF::Mort::Noncontextual\n");
use Font::TTF::Mort::Noncontextual;

if (defined Font::TTF::Mort::Noncontextual->VERSION) {
	my $given_version = Font::TTF::Mort::Noncontextual->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Mort::Noncontextual->VERSION . '
');

}
print("import: Font::TTF::Mort::Rearrangement\n");
use Font::TTF::Mort::Rearrangement;

if (defined Font::TTF::Mort::Rearrangement->VERSION) {
	my $given_version = Font::TTF::Mort::Rearrangement->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Mort::Rearrangement->VERSION . '
');

}
print("import: Font::TTF::Mort::Subtable\n");
use Font::TTF::Mort::Subtable;

if (defined Font::TTF::Mort::Subtable->VERSION) {
	my $given_version = Font::TTF::Mort::Subtable->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Mort::Subtable->VERSION . '
');

}
print("import: Font::TTF::OS_2\n");
use Font::TTF::OS_2;

if (defined Font::TTF::OS_2->VERSION) {
	my $given_version = Font::TTF::OS_2->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::OS_2->VERSION . '
');

}
print("import: Font::TTF::OTTags\n");
use Font::TTF::OTTags;

if (defined Font::TTF::OTTags->VERSION) {
	my $given_version = Font::TTF::OTTags->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::OTTags->VERSION . '
');

}
print("import: Font::TTF::OldCmap\n");
use Font::TTF::OldCmap;

if (defined Font::TTF::OldCmap->VERSION) {
	my $given_version = Font::TTF::OldCmap->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::OldCmap->VERSION . '
');

}
print("import: Font::TTF::OldMort\n");
use Font::TTF::OldMort;

if (defined Font::TTF::OldMort->VERSION) {
	my $given_version = Font::TTF::OldMort->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::OldMort->VERSION . '
');

}
print("import: Font::TTF::PCLT\n");
use Font::TTF::PCLT;

if (defined Font::TTF::PCLT->VERSION) {
	my $given_version = Font::TTF::PCLT->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::PCLT->VERSION . '
');

}
print("import: Font::TTF::PSNames\n");
use Font::TTF::PSNames;

if (defined Font::TTF::PSNames->VERSION) {
	my $given_version = Font::TTF::PSNames->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::PSNames->VERSION . '
');

}
print("import: Font::TTF::Prop\n");
use Font::TTF::Prop;

if (defined Font::TTF::Prop->VERSION) {
	my $given_version = Font::TTF::Prop->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Prop->VERSION . '
');

}
print("import: Font::TTF::Silf\n");
use Font::TTF::Silf;

if (defined Font::TTF::Silf->VERSION) {
	my $given_version = Font::TTF::Silf->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Silf->VERSION . '
');

}
print("import: Font::TTF::Sill\n");
use Font::TTF::Sill;

if (defined Font::TTF::Sill->VERSION) {
	my $given_version = Font::TTF::Sill->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Sill->VERSION . '
');

}
print("import: Font::TTF::Ttopen\n");
use Font::TTF::Ttopen;

if (defined Font::TTF::Ttopen->VERSION) {
	my $given_version = Font::TTF::Ttopen->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Ttopen->VERSION . '
');

}
print("import: Font::TTF::Vhea\n");
use Font::TTF::Vhea;

if (defined Font::TTF::Vhea->VERSION) {
	my $given_version = Font::TTF::Vhea->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Vhea->VERSION . '
');

}
print("import: Font::TTF::Vmtx\n");
use Font::TTF::Vmtx;

if (defined Font::TTF::Vmtx->VERSION) {
	my $given_version = Font::TTF::Vmtx->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Vmtx->VERSION . '
');

}
print("import: Font::TTF::Woff\n");
use Font::TTF::Woff;

if (defined Font::TTF::Woff->VERSION) {
	my $given_version = Font::TTF::Woff->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Woff->VERSION . '
');

}
print("import: Font::TTF::Woff::MetaData\n");
use Font::TTF::Woff::MetaData;

if (defined Font::TTF::Woff::MetaData->VERSION) {
	my $given_version = Font::TTF::Woff::MetaData->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Woff::MetaData->VERSION . '
');

}
print("import: Font::TTF::Woff::PrivateData\n");
use Font::TTF::Woff::PrivateData;

if (defined Font::TTF::Woff::PrivateData->VERSION) {
	my $given_version = Font::TTF::Woff::PrivateData->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::Woff::PrivateData->VERSION . '
');

}
print("import: Font::TTF::XMLparse\n");
use Font::TTF::XMLparse;

if (defined Font::TTF::XMLparse->VERSION) {
	my $given_version = Font::TTF::XMLparse->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Font::TTF::XMLparse->VERSION . '
');

}
